> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2p1/endpoints/outcome/case-relief-nature.md).

# Case Relief Natures

## Filter by case relief natures (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?relief_natures=relief_nature_id`

#### Query Parameters

| Name                                              | Type    | Description                                                                  |
| ------------------------------------------------- | ------- | ---------------------------------------------------------------------------- |
| relief\_natures<mark style="color:red;">\*</mark> | integer | Relief nature ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported relief natures (relief\_nature\_id):

| **5632** | Attorneys fees                                   |
| -------- | ------------------------------------------------ |
| **5638** | Criminal Conviction                              |
| **5635** | Document/information produced                    |
| **5631** | None yet                                         |
| **5636** | Damages                                          |
| **5634** | Warrant/Order allowing surveillance              |
| **5637** | Unknown                                          |
| **5640** | Declaratory Judgment                             |
| **5630** | None                                             |
| **5629** | Injunction / Injunctive-like Settlement          |
| **5639** | Habeas relief                                    |
| **5633** | Preliminary injunction / Temp. restraining order |

For more information about these natures of relief, see [Outcome](/api-reference-v2p1/objects/case/outcome.md#relief_natures).

**Example**

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?relief_natures=5635
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?relief_natures=5635"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}
